aboutsummaryrefslogtreecommitdiff
path: root/git-shell-commands/no-interactive-login
diff options
context:
space:
mode:
authorTrey Bastian <hello@treybastian.com>2025-10-30 10:55:56 +0000
committerTrey Bastian <hello@treybastian.com>2025-10-30 10:55:56 +0000
commit739e849e108892884c5581464403726b482797a4 (patch)
treedfc7b3bb963d2d06123582e49b9af8f384c0a47b /git-shell-commands/no-interactive-login
parent839c8c87267aa43e592aebb7532ffec661836370 (diff)
moved some files around to better organiz, added new-repo git command
Diffstat (limited to 'git-shell-commands/no-interactive-login')
-rwxr-xr-xgit-shell-commands/no-interactive-login6
1 files changed, 6 insertions, 0 deletions
diff --git a/git-shell-commands/no-interactive-login b/git-shell-commands/no-interactive-login
new file mode 100755
index 0000000..53cc284
--- /dev/null
+++ b/git-shell-commands/no-interactive-login
@@ -0,0 +1,6 @@
+#!/bin/sh
+pjintf '%s\n' "Hi $USER! You've successfully authenticated, but I do not"
+printf '%s\n' "provide interactive shell access. Please go away now!"
+exit 128
+
+# vim: filetype=bash